Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

Upgrading SilverStripe /

Ask questions about upgrading SilverStripe to the latest version.

Moderators: martimiz, Sean, Ed, biapar, Willr, Ingo, swaiba

Upgrade website from 3.0.5 to 4.0.0-alpha6


Go to End
Reply


32 Views

Avatar
SilverstripeLearner

Community Member, 11 Posts

20 April 2017 at 3:03am

Edited: 20/04/2017 3:04am

I have a complex website built with 3.0.5 and i need to upgrade it to 4.0.0-alpha6.

What I've done so far

* I changed composer.json with the version I want and run 'composer update'
* I replaced all the old modules with the new versions that support 4.0
* Now I keep getting errors/incompatibilities. When i fix something and refresh I get another and so on.

My questions:
* Have I approched this update the right way? If not what should I do instead?
* I've seen some available tool to namespace classes but chouldn't really understand how that works, so no success there either.

I would appreciate any kind of help here.
Thanks,